body {
    font-family: Times New Roman , sans-serif;
    background-color: #f8f8f8;
    margin: 20px;
}

h1 {
    color: #cc0000;
}

a {
    text-decoration: none;
    color: #0066cc;
}

.rainbow-spin {
    position: relative;
    left: 40%;
    transform: translateX(-50%) rotate(0deg);
    font-size: 48px;          
    font-weight: bold;
    text-align: center;
    background: linear-gradient(
        90deg,
        red, orange, yellow, green, blue, indigo, violet
    );
    background-size: 400% 400%;  
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: rainbow 5s linear infinite, spin 5s linear infinite;
    display: inline-block;
    margin: 50px 0;
}


@keyframes rainbow {
    0% {background-position: 0% 50%;}
    50% {background-position: 100% 50%;}
    100% {background-position: 0% 50%;}
}


@keyframes spin {
    0% {transform: rotate(0deg);}
    100% {transform: rotate(360deg);}
}

